I'm learning so be nice, this will be easy

Discussion in 'AutoCAD' started by David Kingham, Aug 20, 2004.

  1. I seem to run into this a lot so there must be a simple solution, I have
    this simple code and it just says Command: fz Unknown command "FILLET".
    Sorry for the stupid question
    Thanks
    Dave

    (defun c:fz ()
    (setq old_filletrad (getvar "filletrad"))
    (setvar "filletrad" 0.0)
    (command "fillet" pause pause)
    (setvar "filletrad" old_filletrad)
    (princ)
    )
     
    David Kingham, Aug 20, 2004
    #1
  2. Maybe something has redefined your fillet command.
    Try prefixing "Fillet" with a dot ".Fillet", which means use the builtin function.
     
    Allen Johnson, Aug 20, 2004
    #2
  3. David Kingham

    T.Willey Guest

    Worked here.
    A2K4

    Tim
     
    T.Willey, Aug 20, 2004
    #3
  4. David Kingham

    larry Guest

    it work fine for me
     
    larry, Aug 20, 2004
    #4
  5. That worked great, thank you
    Now for others that don't work :)
    I want dd to open the layer dialog box, i know i know just use the pgp....i
    want it all lisp for ease, I have all my other one keys setup in my lisp and
    plan to keep it that way. when i use layer it says unkown command, when i
    use .layer it brings up the command line version

    Also ai_molc doesn't seem to work with lisp either

    (defun C:ai ()
    (command "ai_molc")
    (princ)
    )
    (defun C:dd ()
    (command "layer")
    (princ)
    )
     
    David Kingham, Aug 20, 2004
    #5
  6. David Kingham

    Paul Turvill Guest

    (defun C:ai ()
    (c:ai_molc)
    (princ)
    )
    (defun C:dd()
    (command "_.-layer")
    (princ)
    )
    ___

    \>
     
    Paul Turvill, Aug 20, 2004
    #6
  7. David Kingham

    Jim Claypool Guest

    (defun c:ai ()
    (c:ai_molc)
    )

    (defun c:dd ()
    (initdia)
    (command ".layer")
    )
     
    Jim Claypool, Aug 20, 2004
    #7
  8. David Kingham

    Paul Turvill Guest

    Oops. Jim's right. I misread your post; thought you *wanted* the command
    line version.
    ___
     
    Paul Turvill, Aug 20, 2004
    #8
  9. The ai_molc worked but none of those work to bring up the layermanager
    dialog
     
    David Kingham, Aug 23, 2004
    #9
  10. David Kingham

    Jim Claypool Guest

    What does thedd command do? What version of AutoCAd?
    It brings up Layer Properties Managet Dialog in AutoCAD 2000 and 2004 for
    me.
     
    Jim Claypool, Aug 23, 2004
    #10
  11. It brings up the layer properties manager, I need the layer manager, so it
    needs to be _layer instead of .layer but if i put in _layer it says unknown
    command, I'm running adt 2004
     
    David Kingham, Aug 23, 2004
    #11
  12. David Kingham

    Jim Claypool Guest

    If you want the layer manager from Express Tools the command is lman

    (defun c:dd ()
    (c:lman)
    )
     
    Jim Claypool, Aug 23, 2004
    #12
  13. no, no, i want the dialog you get when you type in LAYER in 04
     
    David Kingham, Aug 23, 2004
    #13
  14. David Kingham

    Rick Keller Guest

    (defun c:dd ()
    (initdia)
    (command ".layer")
    )

    Worked for me in 2005 is your cmddia set to 1?

    Rick
     
    Rick Keller, Aug 23, 2004
    #14
  15. David Kingham

    Jim Claypool Guest

    ADT must be different. When I type layer in AutoCAD2004 I get the Layer
    Properties Manager, but you said that is not what you want.
     
    Jim Claypool, Aug 23, 2004
    #15
  16. David Kingham

    Anne Brown Guest

    Jim -

    In addition to the replies you have already received, you may
    find more information or responses by posting future
    Architectural Desktop Customization related questions in the
    following discussion group:

    Web browser: http://discussion.autodesk.com/WebX?14@@.ee77eaa
    Newsreader:
    news://discussion.autodesk.com/autodesk.aec.arch-desktop.customization
     
    Anne Brown, Aug 23, 2004
    #16
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.